Telegram Login
curl --request POST \
--url https://api.example.com/api/v2/auth/telegram \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"first_name": "<string>",
"auth_date": 123,
"hash": "<string>",
"username": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/auth/telegram"
payload = {
"id": 123,
"first_name": "<string>",
"auth_date": 123,
"hash": "<string>",
"username": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
first_name: '<string>',
auth_date: 123,
hash: '<string>',
username: '<string>'
})
};
fetch('https://api.example.com/api/v2/auth/telegram', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Авторизация
Telegram Login
Вход через Telegram Login Widget
POST
/
api
/
v2
/
auth
/
telegram
Telegram Login
integer
обязательно
Telegram ID пользователя.
string
обязательно
Имя в Telegram.
integer
обязательно
Unix timestamp авторизации.
string
обязательно
HMAC-SHA256 подпись от Telegram Widget.
string
Ник в Telegram (необязательно).
Описание
Передайте объект данных, который возвращает Telegram Login Widget, напрямую на этот endpoint.Запрос
curl -X POST https://elumenta.ru/api/v2/auth/telegram \
-H "Content-Type: application/json" \
-d '{
"id": 123456789,
"first_name": "Иван",
"username": "ivan_dev",
"auth_date": 1741432800,
"hash": "abc123..."
}'
Ответ
{
"access_token": "eyJhbGciOiJIUzI1NiJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiJ9...",
"token_type": "bearer",
"is_new_user": true,
"user": {
"id": 12345,
"telegram_id": 123456789,
"plan": "free",
"token_balance": 50
}
}
⌘I

